Who created element?

Is there a way / package / node to show who created an element? All my searches have come up empty on this.

Thanks in advance!

There is a way
http://www.revitapidocs.com/2018.1/1e54c25f-7d7a-7484-be7b-d741084418a9.htm
I don’t know any packages that have that functionality though.

1 Like

No there is not an option for this, but I am sure Autodesk has some sneaky function they don’t share which can tell a lot about who, why and what… :slight_smile:

Thanks. I was hoping to find something for a non-workshare enabled model. This may work, though, provided the process of enabling worksharing doesn’t “reset” all of the element owner info.

Thanks again!

Yes it works, also for not-workshared models. I’m currently working on a Revit Addin and I already have a button to get those information, but not a dynamo custom node.

However it should be very easy to create one with Python. If you have no clue where to start, I can make it for you, but it would be not before this evening.

1 Like

That would be awesome! I literally just started watching a LinkedIn Learning session 10 minutes ago about the basics of Python so that would be a great little program to mess around with and learn about both Python and the Revit API. I totally appreciate that.

I am really amazed that this should work, and for verifying that I went to Jeremy…

…and it was extremely easy to build such a node
Capture

1 Like

I can’t remember exactly, but I think the Archi-Lab package has a node for this, but I am not at a computer.

1 Like

I was finding it a bit weird, that nobody had the idea to make a node out of it.

Here are two nodes from Archilab and Rhythm:

CreatorUser

I tested it on a not workshared file (just creating a simple file,close it, let a colleague add a door, save it and close it again) and it works

4 Likes

Python code for same:

import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *

# For accessing Document and Transactions
clr.AddReference('RevitServices')
import RevitServices
from RevitServices.Persistence import DocumentManager
# Creating Instance of Document and Application
doc = DocumentManager.Instance.CurrentDBDocument

ele = UnwrapElement(IN[0])
info = WorksharingUtils.GetWorksharingTooltipInfo(doc,ele.Id)

OUT = [info.Creator,info.Owner,info.LastChangedBy]
3 Likes

you may get this function from pyrevit as well "who did that?? "

image

1 Like

That it will. So would cutting a new central (open detached and saving as a new model). This is why I recommend frequent backups and starting worksharing on day 0 of the project.

2 Likes